Loading...
Searching...
No Matches
ToolPluginFactory Class Referenceabstract

The base class for tool plugin factories in Avogadro. More...

`#include <avogadro/qtgui/toolplugin.h>`

## Public Member Functions

virtual ToolPlugin * | createInstance (QObject *parent=nullptr)=0
virtual QString | identifier () const =0
virtual QString | description () const =0

## Detailed Description

Author
  Allison Vacanti

The documentation for this class was generated from the following file:

- toolplugin.h